package jalview.ws2.operations;

import static java.lang.String.format;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import jalview.bin.Cache;
import jalview.ws2.PollableTaskI;
import jalview.ws2.WSJob;
import jalview.ws2.WSJobStatus;

public abstract class AbstractPollableWorker
    extends AbstractWorker implements PollableTaskI
{
  @Override
  public boolean isDone()
  {
    if (getJobs().size() == 0)
      return false;
    for (WSJob job : getJobs())
    {
      if (!job.getStatus().isDone() && !job.getStatus().isFailed())
        return false;
    }
    return true;
  }

}
